メインコンテンツへスキップ
GET
https://{tenantDomain}/api/v2
/
attack-protection
/
breached-password-detection
Go
package example

import (
    context "context"

    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.AttackProtection.BreachedPasswordDetection.Get(
        context.TODO(),
    )
}
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.attackProtection.breachedPasswordDetection.get();
}
main();
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.attackProtection.breachedPasswordDetection.get();
}
main();
curl --request GET \
  --url https://{tenantDomain}/api/v2/attack-protection/breached-password-detection \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenantDomain}/api/v2/attack-protection/breached-password-detection"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)


{
  "enabled": true,
  "shields": [],
  "admin_notification_frequency": [],
  "method": "standard",
  "stage": {
    "pre-user-registration": {
      "shields": []
    },
    "pre-change-password": {
      "shields": []
    }
  }
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

レスポンス

Breached password detection settings successfully retrieved.

enabled
boolean
デフォルト:true

Whether or not breached password detection is active.

shields
enum<string>[]

Action to take when a breached password is detected during a login. Possible values: block, user_notification, admin_notification.

利用可能なオプション:
block,
user_notification,
admin_notification
admin_notification_frequency
enum<string>[]

When "admin_notification" is enabled, determines how often email notifications are sent. Possible values: immediately, daily, weekly, monthly.

利用可能なオプション:
immediately,
daily,
weekly,
monthly
method
enum<string>
デフォルト:standard

The subscription level for breached password detection methods. Use "enhanced" to enable Credential Guard. Possible values: standard, enhanced.

利用可能なオプション:
standard,
enhanced
stage
object